Subject: Re: bash broken with cygwin 1.3.20? - now working with 1.3.20
From: Roland Schwingel <[email-masked]>
To: [email-masked]
Date: Thu, 13 Feb 2003 14:21:03 +0100

Hello Max (and the list of course)

 > > mkdir gcc-3.2.1_obj
 > > cd gcc-3.2.1_obj
 > > ../gcc-3.2.1/configure <whatever options>
 > > It fails with
 > > *** "Can't find configure.in. Try using --srcdir=some_dir"
 >
 > Please post the output of 'ls -l ../gcc-3.2.1/configure.in'.
-rwx------+   1 Administ Entwickl    55070 Jul  8  2002 
../gcc-3.2.1-ov/configure.in

*BINGO!!!!*
Thanks Max... That appears to be the reason! Even I have administrator
privileges it is not working with 1.3.20. After chowning it configure works
again.

The question is what has changed in 1.3.20 that broke this. Or what was
broken in 1.3.19 enabling it to work there? (btw. I have ntsec enabled)

 > > /cygdrive/c/temp/gcc-3.2.1_objc/../gcc-3.2.1
 >                              >>>^<<<
 > Typo? Or is that exactly what it says?
Some kind of both... I need to enable objc. It worked very fine
in the past. Additionally we added an additional command to gcc
for optimized objc code generation and so we altered some parts
of gcc. A made some changes and now need to recompile it.
(The changes are far far away of being acceptable by the FSF therefore
we did not yet post them to the gcc crew)

But here it is a typo. I simplified the pathes in my posting and then 
made the typo.
On my machine I had the correct pathes!

Thanks for your help,

Roland

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/